Can Intel OpenCL SDK 1.5 support the GPU of Sandy Bridge architecture?

Can Intel OpenCL SDK 1.5 support the GPU of Sandy Bridge architecture?

Recently, I bought an i7-2600K, which has the Sandy Bridge architecture. I tried the Intel OpenCL 1.5 on the CPU, and it works. But it seems that it does not support the GPU on the Sandy Bridge architecure. Anyone who knows this? Thanks.

6 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Intel OpenCL SDK 1.5 supports only CPU device on intel platfroms.For more information go to Intel OpenCL SDK FAQ page at:http://software.intel.com/en-us/articles/opencl-sdk-frequently-asked-questions/#10Regards,- Arnon

Will the incoming editions of Intel OpenCL SDKs support the Sandy Bridge GPUs?

We are not using this forum to comment on future plans, the Q&A, linked above, should provide enough information.

im running Intel® Core™ i5-2410M CPU @ 2.30GHz × 4  graphics:Intel® Sandybridge Mobile

os kali linux . i want to install opencl for my device . which version should i download . pls help

The OpenCL drivers on our driver page and in Media Server Studio only support newer processors.  If your processor is older than 4th Generation Core your best OpenCL option may be Beignet.

Leave a Comment

Please sign in to add a comment. Not a member? Join today